### R code from vignette source 'introduction-cda.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: setup
###################################################
library(cda)
library(ggplot2)
theme_set(theme_minimal())
## ls("package:cda")
options(demo.ask=FALSE)
## wavelengths
wvl <- seq(400,900)
## dielectric function
gold <- epsAu(wvl)
vp <- viewport(width=unit(4,"in"), height=unit(4, "in"))


###################################################
### code chunk number 2: sdimer_linear
###################################################
demo(dimer_linear, echo=FALSE)


###################################################
### code chunk number 3: dimer_linear
###################################################
print(p)


###################################################
### code chunk number 4: sdiffractive_chain
###################################################
demo(diffractive_chain, echo=FALSE)


###################################################
### code chunk number 5: diffractive_chain
###################################################
print(p)


###################################################
### code chunk number 6: slattice_sum
###################################################
demo(lattice_sum, echo=FALSE)


###################################################
### code chunk number 7: lattice_sum
###################################################
print(p)


###################################################
### code chunk number 8: sdimer_cd
###################################################
demo(dimer_cd, echo=FALSE)


###################################################
### code chunk number 9: dimer_cd
###################################################
print(p)


###################################################
### code chunk number 10: shelix_cd
###################################################
demo(helix_cd, echo=FALSE)


###################################################
### code chunk number 11: helix_cd
###################################################
print(p)


